Walk the hash chain and verify integrity
curl --request GET \
--url https://api.fact0.io/v1/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fact0.io/v1/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fact0.io/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"tenant_id": "<string>",
"events_checked": 123,
"root_hash": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"first_broken_event_id": "<string>",
"reason": "<string>",
"broken_count": 123,
"all_broken_events": [
{
"event_id": "<string>",
"sequence_number": 123,
"timestamp": "2023-11-07T05:31:56Z",
"action": "<string>",
"actor_id": "<string>",
"reason": "<string>"
}
]
}Verify
Walk the hash chain and verify integrity
GET
/
v1
/
verify
Walk the hash chain and verify integrity
Authorizations
API key prefixed with alk_live_. Write scope required for ingest.
Query Parameters
Return all broken events instead of stopping at the first
⌘I